Package ghidra.framework

# Class GenericRunInfo

java.lang.Object
ghidra.framework.GenericRunInfo

public class GenericRunInfo extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TEST_DIRECTORY_SUFFIX`
  The name appended to application directories during testing

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenericRunInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static File`
  `getPreviousApplicationSettingsDir(String dirName, FileFilter filter)`
  Searches previous Application Settings directories (`getUserSettingsDirsByTime()`) to find a settings directory containing files that match the given file filter.
  `static List<File>`
  `getPreviousApplicationSettingsDirsByTime()`
  This is the same as `getUserSettingsDirsByTime()` except that it doesn't include the current installation or installations with different release names
  `static File`
  `getPreviousApplicationSettingsFile(String filename)`
  Searches previous Application Settings directories (`getUserSettingsDirsByTime()`) to find a file by the given name.
  `static String`
  `getProjectsDirPath()`
  Get the user's preferred projects directory.
  `static void`
  `setProjectsDirPath(String path)`
  Set the user's current projects directory path.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TEST_DIRECTORY_SUFFIX

    public static final String TEST_DIRECTORY_SUFFIX
    The name appended to application directories during testing
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GenericRunInfo

    public GenericRunInfo()

- ## Method Details

  - ### getPreviousApplicationSettingsFile

    public static File getPreviousApplicationSettingsFile(String filename)
    Searches previous Application Settings directories (`getUserSettingsDirsByTime()`) to find a file by the given name. This is useful for loading previous user settings, such as preferences.

    Note: this method will ignore any test versions of settings directories.

    Parameters:
      `filename` - the name for which to seek; must be relative to a settings directory
    Returns:
      the most recent file matching that name found in a previous settings dir

  - ### getPreviousApplicationSettingsDir

    public static File getPreviousApplicationSettingsDir(String dirName, FileFilter filter)
    Searches previous Application Settings directories (`getUserSettingsDirsByTime()`) to find a settings directory containing files that match the given file filter. This is useful for loading previous directories of saved settings files of a particular type.

    Note: this method will ignore any test versions of settings directories.

    Parameters:
      `dirName` - the name of a settings subdir; must be relative to a settings directory
      `filter` - the file filter for the files of interest
    Returns:
      the most recent file matching that name and containing at least one file of the given type, in a previous version's settings directory.

  - ### getPreviousApplicationSettingsDirsByTime

    public static List<File> getPreviousApplicationSettingsDirsByTime()
    This is the same as `getUserSettingsDirsByTime()` except that it doesn't include the current installation or installations with different release names
    Returns:
      the list of previous directories, sorted by time

  - ### getProjectsDirPath

    public static String getProjectsDirPath()
    Get the user's preferred projects directory.
    Returns:
      projects directory path.

  - ### setProjectsDirPath

    public static void setProjectsDirPath(String path)
    Set the user's current projects directory path. Value is also retained within user's set of preferences.
    Parameters:
      `path` - projects directory path.